{% extends 'base.html.twig' %}

{% block title %}Produit index{% endblock %}

{% block body %}
    <h1 class="text-4xl flex items-center justify-between tracking-tight font-extrabold text-gray-900 pb-6 sm:text-5xl md:text-6xl">
        <span>Produits</span>
        <div class="rounded-md shadow w-56">
            <a href="{{ path('produit_new') }}" class="w-full flex items-center justify-center px-8 py-0 border border-transparent text-base font-medium rounded-md text-white bg-yellow-400 hover:bg-yellow-500 md:py-3 md:text-lg md:px-10">
                Nouveau Produit
            </a>
        </div>
    </h1>

    <table class="table-auto">
        <thead class="bg-yellow-100">
        <tr>
            <th class="py-6 w-1/4 rounded-l-xl text-yellow-500">Titre</th>
            <th class="py-6 w-2/5 text-yellow-500">Description</th>
            <th class="py-6 text-yellow-500">Catégorie</th>
            <th class="py-6 text-yellow-500">Estimation</th>
            <th class="py-6 rounded-r-xl text-yellow-500">Voir +</th>
        </tr>
        </thead>
        <tbody>
        {% for produit in produits %}
            <tr class="bg-gray-100 border-t-8 border-white">
                <td class="py-4 rounded-l-xl text-center">{{ produit.titre }}</td>
                <td class="py-4 text-center">{{ produit.description }}</td>
                <td class="py-4 text-center">{{ produit.idCategorie.nom }}</td>
                <td class="py-4 text-center">{{ produit.estimation }}€</td>
                <td class="py-4 rounded-r-xl text-center">
                    <a href="{{ path('produit_show', {'id': produit.id}) }}"><i class="fas fa-eye text-gray-500 hover:text-gray-700 text-2xl"></i></a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td class="text-center py-4" colspan="5">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
{% endblock %}
